﻿//-----------------------------------------------------------------------------
// ACI PIM CPN Sensor sample program
// Cpn sensor device library
//-----------------------------------------------------------------------------
// 2020 Analytical Control Instruments GmbH
//-----------------------------------------------------------------------------


namespace Cpn.Sensor.Communication
{
  public partial class Message
  {
    public Message ()
    {
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    }


    public Message ( string command, string parameter )
    {
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      Command = command;
      Parameter = parameter;
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    }

    public Message ( string complete )
    {
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      Complete = complete;
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    }


    public void Clear ()
    {
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      Command = string.Empty;
      Parameter = string.Empty;
      //- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    }
  }
}
